<?php

declare(strict_types=1);

/*
 * This file is part of the Ferienpass package.
 *
 * (c) Richard Henkenjohann <richard@ferienpass.online>
 *
 * For more information visit the project website <https://ferienpass.online>
 * or the documentation under <https://docs.ferienpass.online>.
 */

namespace Ferienpass\CoreBundle\Message;

class GenerateImage
{
    public function __construct(
        private readonly string $prompt,
        private readonly string $jobId,
        private readonly ?string $offerId = null,
        private readonly ?string $userId = null,
    ) {
    }

    public function getPrompt(): string
    {
        return $this->prompt;
    }

    public function getJobId(): string
    {
        return $this->jobId;
    }

    public function getOfferId(): ?string
    {
        return $this->offerId;
    }

    public function getUserId(): ?string
    {
        return $this->userId;
    }
}
